Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::RenderablePass Struct Reference

Struct associating a single Pass with a single Renderable. More...

`#include <OgreRenderQueueSortingGrouping.h>`

List of all members.

## Public Member Functions
| RenderablePass (Renderable *rend, Pass *p)
## Public Attributes
Renderable * | renderable
| Pointer to the Renderable details.
Pass * | pass
| Pointer to the Pass.

## Detailed Description

Struct associating a single Pass with a single Renderable.

This is used to for objects sorted by depth and thus not grouped by pass.

Definition at line 46 of file OgreRenderQueueSortingGrouping.h.

## Constructor & Destructor Documentation

Ogre::RenderablePass::RenderablePass | ( | Renderable * | rend,
|  | Pass * | p
| ) |

| Definition at line 53 of file OgreRenderQueueSortingGrouping.h. References pass, and renderable.

## Member Data Documentation

Pass* Ogre::RenderablePass::pass

| Pointer to the Pass. Definition at line 51 of file OgreRenderQueueSortingGrouping.h. Referenced by RenderablePass().

Renderable* Ogre::RenderablePass::renderable

| Pointer to the Renderable details. Definition at line 49 of file OgreRenderQueueSortingGrouping.h. Referenced by RenderablePass().

The documentation for this struct was generated from the following file:

- OgreRenderQueueSortingGrouping.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:52:30 2007